ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 2682 by chuckv, Mon Apr 3 15:37:43 2006 UTC vs.
Revision 2772 by gezelter, Thu May 25 15:27:20 2006 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug USE_SINGLE_PRECISION CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 871 | Line 871 | Optional Features:
871    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
872    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
873    --enable-debug          Compile OOPSE in debug mode
874 +  --enable-single         compile OOPSE in single precision
875 +  --enable-float          synonym for --enable-single
876    --enable-doxygen        enable documentation generation with doxygen (auto)
877    --enable-dot            use 'dot' to generate graphs in doxygen (auto)
878    --enable-html-docs      enable HTML generation with doxygen (yes)
# Line 881 | Line 883 | Optional Packages:
883    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
884    --with-perl-shebang     override what perl thinks is the way for the kernel
885                            to start it (seldom needed)
886 <  --with-zlib=DIR root directory path of zlib installation defaults to
887 <                    /usr/local or /usr if not found in /usr/local
888 <  --without-zlib to disable zlib usage completely
886 >  --with-zlib=DIR         root directory path of zlib installation (defaults
887 >                          to /usr/local or /usr if not found in /usr/local)
888 >  --with-fftw=DIR         root directory path of fftw installation (defaults
889 >                          to /usr/local or /usr if not found in /usr/local)
890    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
891    --with-cgal-makefile=FILE  CGAL makefile that should be used
892  
# Line 1377 | Line 1380 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1380  
1381  
1382            ac_config_headers="$ac_config_headers src/config.h"
1383 +
1384 +
1385  
1386  
1387  
# Line 1424 | Line 1429 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1429   #
1430  
1431  
1432 +
1433 +
1434 +
1435 +
1436   # AC_F90_MODULE_NAMES
1437   # -------------------
1438   #
1439   # Figure out how the Fortran 90 compiler constructs module file names
1440   #
1441   # AC_F90_MODULE_NAMES
1442 +
1443 +
1444 +
1445 +
1446 +
1447 +
1448 +
1449 +
1450 +
1451 +
1452 +
1453 +
1454 +
1455 +
1456 +
1457 +
1458 +
1459 +
1460 +
1461 +
1462 +
1463 +
1464 +
1465 +
1466 +
1467 +
1468 +
1469 +
1470 +
1471 +
1472 +
1473 +
1474 +
1475 +
1476 +
1477 +
1478 +
1479 +
1480 +
1481 +
1482 +
1483 +
1484 +
1485 +
1486 +
1487 +
1488 +
1489 +
1490 +
1491 +
1492  
1493  
1494  
# Line 1466 | Line 1525 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1525  
1526  
1527  
1528 +
1529 +
1530   # who am i
1531   # Make sure we can run config.sub.
1532   $ac_config_sub sun4 >/dev/null 2>&1 ||
# Line 1565 | Line 1626 | fi
1626   fi
1627  
1628  
1629 + # Check whether --enable-single or --disable-single was given.
1630 + if test "${enable_single+set}" = set; then
1631 +  enableval="$enable_single"
1632 +  ok=$enableval
1633 + else
1634 +  ok=no
1635 + fi;
1636 + # Check whether --enable-float or --disable-float was given.
1637 + if test "${enable_float+set}" = set; then
1638 +  enableval="$enable_float"
1639 +  ok=$enableval
1640 + fi;
1641 + if test "$ok" = "yes"; then
1642 +
1643 + cat >>confdefs.h <<\_ACEOF
1644 + #define SINGLE_PRECISION 1
1645 + _ACEOF
1646 +
1647 +        USE_SINGLE_PRECISION=yes
1648 +
1649 + fi
1650 +
1651   # Checks for programs.
1652   ac_ext=cc
1653   ac_cpp='$CXXCPP $CPPFLAGS'
# Line 2726 | Line 2809 | echo "$as_me:2729:" \
2809  
2810  
2811   # Provide some information about the compiler.
2812 < echo "$as_me:2729:" \
2812 > echo "$as_me:2812:" \
2813       "checking for Fortran compiler version" >&5
2814   ac_compiler=`set X $ac_compile; echo $2`
2815   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 3478 | Line 3561 | if test "$AR" = "NONE"; then
3561   fi
3562  
3563   if test "$AR" = "NONE"; then
3481  { { echo "$as_me:$LINENO: error: --> Can't find \`ar'!" >&5
3482 echo "$as_me: error: --> Can't find \`ar'!" >&2;}
3483   { (exit 1); exit 1; }; }
3564    cat >confcache <<\_ACEOF
3565   # This file is a shell script that caches the results of configure
3566   # tests run on this system so they can be shared between configure
# Line 3977 | Line 4057 | FCFLAGS="$FCFLAGS $ac_verb"
4057   # flags.
4058   ac_save_FFLAGS=$FCFLAGS
4059   FCFLAGS="$FCFLAGS $ac_verb"
4060 < (eval echo $as_me:3980: \"$ac_link\") >&5
4060 > (eval echo $as_me:4060: \"$ac_link\") >&5
4061   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4062   echo "$ac_fc_v_output" >&5
4063   FCFLAGS=$ac_save_FFLAGS
# Line 4055 | Line 4135 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4135   # flags.
4136   ac_save_FFLAGS=$FCFLAGS
4137   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4138 < (eval echo $as_me:4058: \"$ac_link\") >&5
4138 > (eval echo $as_me:4138: \"$ac_link\") >&5
4139   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4140   echo "$ac_fc_v_output" >&5
4141   FCFLAGS=$ac_save_FFLAGS
# Line 4791 | Line 4871 | FCFLAGS="$FCFLAGS $ac_verb"
4871   # flags.
4872   ac_save_FFLAGS=$FCFLAGS
4873   FCFLAGS="$FCFLAGS $ac_verb"
4874 < (eval echo $as_me:4794: \"$ac_link\") >&5
4874 > (eval echo $as_me:4874: \"$ac_link\") >&5
4875   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4876   echo "$ac_fc_v_output" >&5
4877   FCFLAGS=$ac_save_FFLAGS
# Line 4869 | Line 4949 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4949   # flags.
4950   ac_save_FFLAGS=$FCFLAGS
4951   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4952 < (eval echo $as_me:4872: \"$ac_link\") >&5
4952 > (eval echo $as_me:4952: \"$ac_link\") >&5
4953   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4954   echo "$ac_fc_v_output" >&5
4955   FCFLAGS=$ac_save_FFLAGS
# Line 5746 | Line 5826 | echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5826   #
5827   # Handle user hints
5828   #
5749 echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5750 echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
5829  
5830   # Check whether --with-zlib or --without-zlib was given.
5831   if test "${with_zlib+set}" = set; then
5832    withval="$with_zlib"
5833 <  if test "$withval" != no ; then
5834 <  echo "$as_me:$LINENO: result: yes" >&5
5835 < echo "${ECHO_T}yes" >&6
5836 <  if test -d "$withval"
5837 <  then
5838 <    ZLIB_HOME="$withval"
5833 >  zlib_dir="$withval"
5834 > else
5835 >                zlib_dir="not_set"
5836 > fi;
5837 > if test "$zlib_dir" != "no"; then
5838 >
5839 > if test "$zlib_dir" != "not_set" ; then
5840 >  if test -d "$zlib_dir"
5841 >  then
5842 >    ZLIB_HOME="$zlib_dir"
5843    else
5844 <    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
5845 < echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
5844 >    { echo "$as_me:$LINENO: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&5
5845 > echo "$as_me: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&2;}
5846    fi
5765 else
5766  echo "$as_me:$LINENO: result: no" >&5
5767 echo "${ECHO_T}no" >&6
5847   fi
5769 fi;
5848  
5849   ZLIB_HOME=/usr/local
5850   if test ! -f "${ZLIB_HOME}/include/zlib.h"
# Line 6019 | Line 6097 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6097   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6098   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6099  
6022        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
6023        then
6024                #
6025                # If both library and header were found, use them
6026                #
6100  
6101 < echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
6102 < echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
6103 < if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
6101 >        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"; then
6102 >
6103 > cat >>confdefs.h <<\_ACEOF
6104 > #define HAVE_ZLIB_H 1
6105 > _ACEOF
6106 >
6107 >
6108 > cat >>confdefs.h <<\_ACEOF
6109 > #define HAVE_LIBZ 1
6110 > _ACEOF
6111 >
6112 >                ZLIB_INC_DIR="${ZLIB_HOME}/include"
6113 >                ZLIB_LIB_DIR="${ZLIB_HOME}/lib"
6114 >                ZLIB="-lz"
6115 >        else
6116 >                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6117 > echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6118 >                ZLIB_INC_DIR=
6119 >                ZLIB_LIB_DIR=
6120 >                ZLIB=
6121 >                LDFLAGS="$ZLIB_OLD_LDFLAGS"
6122 >                CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6123 >                echo "$as_me:$LINENO: result: failed" >&5
6124 > echo "${ECHO_T}failed" >&6
6125 >                echo ""
6126 >                echo "*********************************************************"
6127 >                echo "* WARNING: Could not find a working zlib installation   *"
6128 >                echo "* If you need OOPSE to be able to deal with compressed  *"
6129 >                echo "* trajectory dump files be sure to specify a valid zlib *"
6130 >                echo "* installation with --with-zlib=DIR                     *"
6131 >                echo "*                                                       *"
6132 >                echo "* OOPSE will still work without zlib installed.         *"
6133 >                echo "*********************************************************"
6134 >                echo ""
6135 >        fi
6136 >
6137 >
6138 >
6139 > fi
6140 > fi
6141 >
6142 > #
6143 > # Handle user hints
6144 > #
6145 >
6146 > # Check whether --with-fftw or --without-fftw was given.
6147 > if test "${with_fftw+set}" = set; then
6148 >  withval="$with_fftw"
6149 >  fftw_dir="$withval"
6150 > else
6151 >                fftw_dir="not_set"
6152 > fi;
6153 > if test "$fftw_dir" != "no"; then
6154 >
6155 > if test "$fftw_dir" != "not_set" ; then
6156 >  if test -d "$fftw_dir"
6157 >  then
6158 >    FFTW_HOME="$fftw_dir"
6159 >  else
6160 >    { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6161 > echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6162 >  fi
6163 > fi
6164 >
6165 > FFTW_HOME=/usr/local
6166 > if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"
6167 > then
6168 >        FFTW_HOME=/usr
6169 > fi
6170 >
6171 > #
6172 > # Locate fftw, if wanted
6173 > #
6174 > if test -n "${FFTW_HOME}"
6175 > then
6176 >        FFTW_OLD_LDFLAGS=$LDFLAGS
6177 >        FFTW_OLD_CPPFLAGS=$LDFLAGS
6178 >        LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6179 >        CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6180 >
6181 >
6182 >        ac_ext=c
6183 > ac_cpp='$CPP $CPPFLAGS'
6184 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6185 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6186 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6187 >
6188 >        echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6189 > echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6190 > if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6191    echo $ECHO_N "(cached) $ECHO_C" >&6
6192   else
6193    ac_check_lib_save_LIBS=$LIBS
6194 < LIBS="-lz  $LIBS"
6194 > LIBS="-lfftw3  $LIBS"
6195   cat >conftest.$ac_ext <<_ACEOF
6196   /* confdefs.h.  */
6197   _ACEOF
# Line 6045 | Line 6205 | char inflateEnd ();
6205   #endif
6206   /* We use char because int might match the return type of a gcc2
6207     builtin and then its argument prototype would still apply.  */
6208 < char inflateEnd ();
6208 > char fftw_execute ();
6209   #ifdef FC_DUMMY_MAIN
6210   #ifndef FC_DUMMY_MAIN_EQ_F77
6211   #  ifdef __cplusplus
# Line 6057 | Line 6217 | inflateEnd ();
6217   int
6218   main ()
6219   {
6220 < inflateEnd ();
6220 > fftw_execute ();
6221    ;
6222    return 0;
6223   }
# Line 6084 | Line 6244 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6244    ac_status=$?
6245    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6246    (exit $ac_status); }; }; then
6247 <  ac_cv_lib_z_inflateEnd=yes
6247 >  ac_cv_lib_fftw3_fftw_execute=yes
6248   else
6249    echo "$as_me: failed program was:" >&5
6250   sed 's/^/| /' conftest.$ac_ext >&5
6251  
6252 < ac_cv_lib_z_inflateEnd=no
6252 > ac_cv_lib_fftw3_fftw_execute=no
6253   fi
6254   rm -f conftest.err conftest.$ac_objext \
6255        conftest$ac_exeext conftest.$ac_ext
6256   LIBS=$ac_check_lib_save_LIBS
6257   fi
6258 < echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
6259 < echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
6260 < if test $ac_cv_lib_z_inflateEnd = yes; then
6261 <  cat >>confdefs.h <<_ACEOF
6262 < #define HAVE_LIBZ 1
6263 < _ACEOF
6258 > echo "$as_me:$LINENO: result: $ac_cv_lib_fftw3_fftw_execute" >&5
6259 > echo "${ECHO_T}$ac_cv_lib_fftw3_fftw_execute" >&6
6260 > if test $ac_cv_lib_fftw3_fftw_execute = yes; then
6261 >  fftw_cv_libfftw3=yes
6262 > else
6263 >  fftw_cv_libfftw3=no
6264 > fi
6265  
6266 <  LIBS="-lz $LIBS"
6266 >        if test "${ac_cv_header_fftw3_h+set}" = set; then
6267 >  echo "$as_me:$LINENO: checking for fftw3.h" >&5
6268 > echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6269 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6270 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6271 > fi
6272 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6273 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6274 > else
6275 >  # Is the header compilable?
6276 > echo "$as_me:$LINENO: checking fftw3.h usability" >&5
6277 > echo $ECHO_N "checking fftw3.h usability... $ECHO_C" >&6
6278 > cat >conftest.$ac_ext <<_ACEOF
6279 > /* confdefs.h.  */
6280 > _ACEOF
6281 > cat confdefs.h >>conftest.$ac_ext
6282 > cat >>conftest.$ac_ext <<_ACEOF
6283 > /* end confdefs.h.  */
6284 > $ac_includes_default
6285 > #include <fftw3.h>
6286 > _ACEOF
6287 > rm -f conftest.$ac_objext
6288 > if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6289 >  (eval $ac_compile) 2>conftest.er1
6290 >  ac_status=$?
6291 >  grep -v '^ *+' conftest.er1 >conftest.err
6292 >  rm -f conftest.er1
6293 >  cat conftest.err >&5
6294 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6295 >  (exit $ac_status); } &&
6296 >         { ac_try='test -z "$ac_c_werror_flag"
6297 >                         || test ! -s conftest.err'
6298 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6299 >  (eval $ac_try) 2>&5
6300 >  ac_status=$?
6301 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6302 >  (exit $ac_status); }; } &&
6303 >         { ac_try='test -s conftest.$ac_objext'
6304 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6305 >  (eval $ac_try) 2>&5
6306 >  ac_status=$?
6307 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6308 >  (exit $ac_status); }; }; then
6309 >  ac_header_compiler=yes
6310 > else
6311 >  echo "$as_me: failed program was:" >&5
6312 > sed 's/^/| /' conftest.$ac_ext >&5
6313  
6314 + ac_header_compiler=no
6315   fi
6316 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6317 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6318 + echo "${ECHO_T}$ac_header_compiler" >&6
6319  
6320 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6321 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6322 <                echo "$as_me:$LINENO: result: ok" >&5
6323 < echo "${ECHO_T}ok" >&6
6320 > # Is the header present?
6321 > echo "$as_me:$LINENO: checking fftw3.h presence" >&5
6322 > echo $ECHO_N "checking fftw3.h presence... $ECHO_C" >&6
6323 > cat >conftest.$ac_ext <<_ACEOF
6324 > /* confdefs.h.  */
6325 > _ACEOF
6326 > cat confdefs.h >>conftest.$ac_ext
6327 > cat >>conftest.$ac_ext <<_ACEOF
6328 > /* end confdefs.h.  */
6329 > #include <fftw3.h>
6330 > _ACEOF
6331 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6332 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6333 >  ac_status=$?
6334 >  grep -v '^ *+' conftest.er1 >conftest.err
6335 >  rm -f conftest.er1
6336 >  cat conftest.err >&5
6337 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6338 >  (exit $ac_status); } >/dev/null; then
6339 >  if test -s conftest.err; then
6340 >    ac_cpp_err=$ac_c_preproc_warn_flag
6341 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6342 >  else
6343 >    ac_cpp_err=
6344 >  fi
6345 > else
6346 >  ac_cpp_err=yes
6347 > fi
6348 > if test -z "$ac_cpp_err"; then
6349 >  ac_header_preproc=yes
6350 > else
6351 >  echo "$as_me: failed program was:" >&5
6352 > sed 's/^/| /' conftest.$ac_ext >&5
6353 >
6354 >  ac_header_preproc=no
6355 > fi
6356 > rm -f conftest.err conftest.$ac_ext
6357 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6358 > echo "${ECHO_T}$ac_header_preproc" >&6
6359 >
6360 > # So?  What about this header?
6361 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6362 >  yes:no: )
6363 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
6364 > echo "$as_me: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6365 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the compiler's result" >&5
6366 > echo "$as_me: WARNING: fftw3.h: proceeding with the compiler's result" >&2;}
6367 >    ac_header_preproc=yes
6368 >    ;;
6369 >  no:yes:* )
6370 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: present but cannot be compiled" >&5
6371 > echo "$as_me: WARNING: fftw3.h: present but cannot be compiled" >&2;}
6372 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     check for missing prerequisite headers?" >&5
6373 > echo "$as_me: WARNING: fftw3.h:     check for missing prerequisite headers?" >&2;}
6374 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: see the Autoconf documentation" >&5
6375 > echo "$as_me: WARNING: fftw3.h: see the Autoconf documentation" >&2;}
6376 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
6377 > echo "$as_me: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6378 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the preprocessor's result" >&5
6379 > echo "$as_me: WARNING: fftw3.h: proceeding with the preprocessor's result" >&2;}
6380 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: in the future, the compiler will take precedence" >&5
6381 > echo "$as_me: WARNING: fftw3.h: in the future, the compiler will take precedence" >&2;}
6382 >    (
6383 >      cat <<\_ASBOX
6384 > ## ------------------------------ ##
6385 > ## Report this to gezelter@nd.edu ##
6386 > ## ------------------------------ ##
6387 > _ASBOX
6388 >    ) |
6389 >      sed "s/^/$as_me: WARNING:     /" >&2
6390 >    ;;
6391 > esac
6392 > echo "$as_me:$LINENO: checking for fftw3.h" >&5
6393 > echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6394 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6395 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6396 > else
6397 >  ac_cv_header_fftw3_h=$ac_header_preproc
6398 > fi
6399 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6400 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6401 >
6402 > fi
6403 > if test $ac_cv_header_fftw3_h = yes; then
6404 >  fftw_cv_fftw3_h=yes
6405 > else
6406 >  fftw_cv_fftw3_h=no
6407 > fi
6408 >
6409 >
6410 >        if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"
6411 >        then
6412 >                echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6413 > echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6414 > if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6415 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6416 > else
6417 >  ac_check_lib_save_LIBS=$LIBS
6418 > LIBS="-lfftw  $LIBS"
6419 > cat >conftest.$ac_ext <<_ACEOF
6420 > /* confdefs.h.  */
6421 > _ACEOF
6422 > cat confdefs.h >>conftest.$ac_ext
6423 > cat >>conftest.$ac_ext <<_ACEOF
6424 > /* end confdefs.h.  */
6425 >
6426 > /* Override any gcc2 internal prototype to avoid an error.  */
6427 > #ifdef __cplusplus
6428 > extern "C"
6429 > #endif
6430 > /* We use char because int might match the return type of a gcc2
6431 >   builtin and then its argument prototype would still apply.  */
6432 > char fftwnd_one ();
6433 > #ifdef FC_DUMMY_MAIN
6434 > #ifndef FC_DUMMY_MAIN_EQ_F77
6435 > #  ifdef __cplusplus
6436 >     extern "C"
6437 > #  endif
6438 >   int FC_DUMMY_MAIN() { return 1; }
6439 > #endif
6440 > #endif
6441 > int
6442 > main ()
6443 > {
6444 > fftwnd_one ();
6445 >  ;
6446 >  return 0;
6447 > }
6448 > _ACEOF
6449 > rm -f conftest.$ac_objext conftest$ac_exeext
6450 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6451 >  (eval $ac_link) 2>conftest.er1
6452 >  ac_status=$?
6453 >  grep -v '^ *+' conftest.er1 >conftest.err
6454 >  rm -f conftest.er1
6455 >  cat conftest.err >&5
6456 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6457 >  (exit $ac_status); } &&
6458 >         { ac_try='test -z "$ac_c_werror_flag"
6459 >                         || test ! -s conftest.err'
6460 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6461 >  (eval $ac_try) 2>&5
6462 >  ac_status=$?
6463 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6464 >  (exit $ac_status); }; } &&
6465 >         { ac_try='test -s conftest$ac_exeext'
6466 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6467 >  (eval $ac_try) 2>&5
6468 >  ac_status=$?
6469 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6470 >  (exit $ac_status); }; }; then
6471 >  ac_cv_lib_fftw_fftwnd_one=yes
6472 > else
6473 >  echo "$as_me: failed program was:" >&5
6474 > sed 's/^/| /' conftest.$ac_ext >&5
6475 >
6476 > ac_cv_lib_fftw_fftwnd_one=no
6477 > fi
6478 > rm -f conftest.err conftest.$ac_objext \
6479 >      conftest$ac_exeext conftest.$ac_ext
6480 > LIBS=$ac_check_lib_save_LIBS
6481 > fi
6482 > echo "$as_me:$LINENO: result: $ac_cv_lib_fftw_fftwnd_one" >&5
6483 > echo "${ECHO_T}$ac_cv_lib_fftw_fftwnd_one" >&6
6484 > if test $ac_cv_lib_fftw_fftwnd_one = yes; then
6485 >  fftw_cv_libfftw=yes
6486 > else
6487 >  fftw_cv_libfftw=no
6488 > fi
6489 >
6490 >                if test "${ac_cv_header_fftw_h+set}" = set; then
6491 >  echo "$as_me:$LINENO: checking for fftw.h" >&5
6492 > echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6493 > if test "${ac_cv_header_fftw_h+set}" = set; then
6494 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6495 > fi
6496 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6497 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6498 > else
6499 >  # Is the header compilable?
6500 > echo "$as_me:$LINENO: checking fftw.h usability" >&5
6501 > echo $ECHO_N "checking fftw.h usability... $ECHO_C" >&6
6502 > cat >conftest.$ac_ext <<_ACEOF
6503 > /* confdefs.h.  */
6504 > _ACEOF
6505 > cat confdefs.h >>conftest.$ac_ext
6506 > cat >>conftest.$ac_ext <<_ACEOF
6507 > /* end confdefs.h.  */
6508 > $ac_includes_default
6509 > #include <fftw.h>
6510 > _ACEOF
6511 > rm -f conftest.$ac_objext
6512 > if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6513 >  (eval $ac_compile) 2>conftest.er1
6514 >  ac_status=$?
6515 >  grep -v '^ *+' conftest.er1 >conftest.err
6516 >  rm -f conftest.er1
6517 >  cat conftest.err >&5
6518 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6519 >  (exit $ac_status); } &&
6520 >         { ac_try='test -z "$ac_c_werror_flag"
6521 >                         || test ! -s conftest.err'
6522 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6523 >  (eval $ac_try) 2>&5
6524 >  ac_status=$?
6525 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6526 >  (exit $ac_status); }; } &&
6527 >         { ac_try='test -s conftest.$ac_objext'
6528 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6529 >  (eval $ac_try) 2>&5
6530 >  ac_status=$?
6531 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6532 >  (exit $ac_status); }; }; then
6533 >  ac_header_compiler=yes
6534 > else
6535 >  echo "$as_me: failed program was:" >&5
6536 > sed 's/^/| /' conftest.$ac_ext >&5
6537 >
6538 > ac_header_compiler=no
6539 > fi
6540 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6541 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6542 > echo "${ECHO_T}$ac_header_compiler" >&6
6543 >
6544 > # Is the header present?
6545 > echo "$as_me:$LINENO: checking fftw.h presence" >&5
6546 > echo $ECHO_N "checking fftw.h presence... $ECHO_C" >&6
6547 > cat >conftest.$ac_ext <<_ACEOF
6548 > /* confdefs.h.  */
6549 > _ACEOF
6550 > cat confdefs.h >>conftest.$ac_ext
6551 > cat >>conftest.$ac_ext <<_ACEOF
6552 > /* end confdefs.h.  */
6553 > #include <fftw.h>
6554 > _ACEOF
6555 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6556 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6557 >  ac_status=$?
6558 >  grep -v '^ *+' conftest.er1 >conftest.err
6559 >  rm -f conftest.er1
6560 >  cat conftest.err >&5
6561 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6562 >  (exit $ac_status); } >/dev/null; then
6563 >  if test -s conftest.err; then
6564 >    ac_cpp_err=$ac_c_preproc_warn_flag
6565 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6566 >  else
6567 >    ac_cpp_err=
6568 >  fi
6569 > else
6570 >  ac_cpp_err=yes
6571 > fi
6572 > if test -z "$ac_cpp_err"; then
6573 >  ac_header_preproc=yes
6574 > else
6575 >  echo "$as_me: failed program was:" >&5
6576 > sed 's/^/| /' conftest.$ac_ext >&5
6577 >
6578 >  ac_header_preproc=no
6579 > fi
6580 > rm -f conftest.err conftest.$ac_ext
6581 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6582 > echo "${ECHO_T}$ac_header_preproc" >&6
6583 >
6584 > # So?  What about this header?
6585 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6586 >  yes:no: )
6587 >    { echo "$as_me:$LINENO: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6588 > echo "$as_me: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6589 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the compiler's result" >&5
6590 > echo "$as_me: WARNING: fftw.h: proceeding with the compiler's result" >&2;}
6591 >    ac_header_preproc=yes
6592 >    ;;
6593 >  no:yes:* )
6594 >    { echo "$as_me:$LINENO: WARNING: fftw.h: present but cannot be compiled" >&5
6595 > echo "$as_me: WARNING: fftw.h: present but cannot be compiled" >&2;}
6596 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     check for missing prerequisite headers?" >&5
6597 > echo "$as_me: WARNING: fftw.h:     check for missing prerequisite headers?" >&2;}
6598 >    { echo "$as_me:$LINENO: WARNING: fftw.h: see the Autoconf documentation" >&5
6599 > echo "$as_me: WARNING: fftw.h: see the Autoconf documentation" >&2;}
6600 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6601 > echo "$as_me: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6602 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the preprocessor's result" >&5
6603 > echo "$as_me: WARNING: fftw.h: proceeding with the preprocessor's result" >&2;}
6604 >    { echo "$as_me:$LINENO: WARNING: fftw.h: in the future, the compiler will take precedence" >&5
6605 > echo "$as_me: WARNING: fftw.h: in the future, the compiler will take precedence" >&2;}
6606 >    (
6607 >      cat <<\_ASBOX
6608 > ## ------------------------------ ##
6609 > ## Report this to gezelter@nd.edu ##
6610 > ## ------------------------------ ##
6611 > _ASBOX
6612 >    ) |
6613 >      sed "s/^/$as_me: WARNING:     /" >&2
6614 >    ;;
6615 > esac
6616 > echo "$as_me:$LINENO: checking for fftw.h" >&5
6617 > echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6618 > if test "${ac_cv_header_fftw_h+set}" = set; then
6619 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6620 > else
6621 >  ac_cv_header_fftw_h=$ac_header_preproc
6622 > fi
6623 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6624 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6625 >
6626 > fi
6627 > if test $ac_cv_header_fftw_h = yes; then
6628 >  fftw_cv_fftw_h=yes
6629 > else
6630 >  fftw_cv_fftw_h=no
6631 > fi
6632 >
6633 >
6634 >                if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"
6635 >                then
6636 >                        echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6637 > echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6638 > if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6639 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6640 > else
6641 >  ac_check_lib_save_LIBS=$LIBS
6642 > LIBS="-ldfftw  $LIBS"
6643 > cat >conftest.$ac_ext <<_ACEOF
6644 > /* confdefs.h.  */
6645 > _ACEOF
6646 > cat confdefs.h >>conftest.$ac_ext
6647 > cat >>conftest.$ac_ext <<_ACEOF
6648 > /* end confdefs.h.  */
6649 >
6650 > /* Override any gcc2 internal prototype to avoid an error.  */
6651 > #ifdef __cplusplus
6652 > extern "C"
6653 > #endif
6654 > /* We use char because int might match the return type of a gcc2
6655 >   builtin and then its argument prototype would still apply.  */
6656 > char fftwnd_one ();
6657 > #ifdef FC_DUMMY_MAIN
6658 > #ifndef FC_DUMMY_MAIN_EQ_F77
6659 > #  ifdef __cplusplus
6660 >     extern "C"
6661 > #  endif
6662 >   int FC_DUMMY_MAIN() { return 1; }
6663 > #endif
6664 > #endif
6665 > int
6666 > main ()
6667 > {
6668 > fftwnd_one ();
6669 >  ;
6670 >  return 0;
6671 > }
6672 > _ACEOF
6673 > rm -f conftest.$ac_objext conftest$ac_exeext
6674 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6675 >  (eval $ac_link) 2>conftest.er1
6676 >  ac_status=$?
6677 >  grep -v '^ *+' conftest.er1 >conftest.err
6678 >  rm -f conftest.er1
6679 >  cat conftest.err >&5
6680 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6681 >  (exit $ac_status); } &&
6682 >         { ac_try='test -z "$ac_c_werror_flag"
6683 >                         || test ! -s conftest.err'
6684 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6685 >  (eval $ac_try) 2>&5
6686 >  ac_status=$?
6687 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6688 >  (exit $ac_status); }; } &&
6689 >         { ac_try='test -s conftest$ac_exeext'
6690 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6691 >  (eval $ac_try) 2>&5
6692 >  ac_status=$?
6693 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6694 >  (exit $ac_status); }; }; then
6695 >  ac_cv_lib_dfftw_fftwnd_one=yes
6696 > else
6697 >  echo "$as_me: failed program was:" >&5
6698 > sed 's/^/| /' conftest.$ac_ext >&5
6699 >
6700 > ac_cv_lib_dfftw_fftwnd_one=no
6701 > fi
6702 > rm -f conftest.err conftest.$ac_objext \
6703 >      conftest$ac_exeext conftest.$ac_ext
6704 > LIBS=$ac_check_lib_save_LIBS
6705 > fi
6706 > echo "$as_me:$LINENO: result: $ac_cv_lib_dfftw_fftwnd_one" >&5
6707 > echo "${ECHO_T}$ac_cv_lib_dfftw_fftwnd_one" >&6
6708 > if test $ac_cv_lib_dfftw_fftwnd_one = yes; then
6709 >  fftw_cv_libdfftw=yes
6710 > else
6711 >  fftw_cv_libdfftw=no
6712 > fi
6713 >
6714 >                        if test "${ac_cv_header_dfftw_h+set}" = set; then
6715 >  echo "$as_me:$LINENO: checking for dfftw.h" >&5
6716 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6717 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6718 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6719 > fi
6720 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6721 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6722 > else
6723 >  # Is the header compilable?
6724 > echo "$as_me:$LINENO: checking dfftw.h usability" >&5
6725 > echo $ECHO_N "checking dfftw.h usability... $ECHO_C" >&6
6726 > cat >conftest.$ac_ext <<_ACEOF
6727 > /* confdefs.h.  */
6728 > _ACEOF
6729 > cat confdefs.h >>conftest.$ac_ext
6730 > cat >>conftest.$ac_ext <<_ACEOF
6731 > /* end confdefs.h.  */
6732 > $ac_includes_default
6733 > #include <dfftw.h>
6734 > _ACEOF
6735 > rm -f conftest.$ac_objext
6736 > if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6737 >  (eval $ac_compile) 2>conftest.er1
6738 >  ac_status=$?
6739 >  grep -v '^ *+' conftest.er1 >conftest.err
6740 >  rm -f conftest.er1
6741 >  cat conftest.err >&5
6742 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6743 >  (exit $ac_status); } &&
6744 >         { ac_try='test -z "$ac_c_werror_flag"
6745 >                         || test ! -s conftest.err'
6746 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6747 >  (eval $ac_try) 2>&5
6748 >  ac_status=$?
6749 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6750 >  (exit $ac_status); }; } &&
6751 >         { ac_try='test -s conftest.$ac_objext'
6752 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6753 >  (eval $ac_try) 2>&5
6754 >  ac_status=$?
6755 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6756 >  (exit $ac_status); }; }; then
6757 >  ac_header_compiler=yes
6758 > else
6759 >  echo "$as_me: failed program was:" >&5
6760 > sed 's/^/| /' conftest.$ac_ext >&5
6761 >
6762 > ac_header_compiler=no
6763 > fi
6764 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6765 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6766 > echo "${ECHO_T}$ac_header_compiler" >&6
6767 >
6768 > # Is the header present?
6769 > echo "$as_me:$LINENO: checking dfftw.h presence" >&5
6770 > echo $ECHO_N "checking dfftw.h presence... $ECHO_C" >&6
6771 > cat >conftest.$ac_ext <<_ACEOF
6772 > /* confdefs.h.  */
6773 > _ACEOF
6774 > cat confdefs.h >>conftest.$ac_ext
6775 > cat >>conftest.$ac_ext <<_ACEOF
6776 > /* end confdefs.h.  */
6777 > #include <dfftw.h>
6778 > _ACEOF
6779 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6780 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6781 >  ac_status=$?
6782 >  grep -v '^ *+' conftest.er1 >conftest.err
6783 >  rm -f conftest.er1
6784 >  cat conftest.err >&5
6785 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6786 >  (exit $ac_status); } >/dev/null; then
6787 >  if test -s conftest.err; then
6788 >    ac_cpp_err=$ac_c_preproc_warn_flag
6789 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6790 >  else
6791 >    ac_cpp_err=
6792 >  fi
6793 > else
6794 >  ac_cpp_err=yes
6795 > fi
6796 > if test -z "$ac_cpp_err"; then
6797 >  ac_header_preproc=yes
6798 > else
6799 >  echo "$as_me: failed program was:" >&5
6800 > sed 's/^/| /' conftest.$ac_ext >&5
6801 >
6802 >  ac_header_preproc=no
6803 > fi
6804 > rm -f conftest.err conftest.$ac_ext
6805 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6806 > echo "${ECHO_T}$ac_header_preproc" >&6
6807 >
6808 > # So?  What about this header?
6809 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6810 >  yes:no: )
6811 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6812 > echo "$as_me: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6813 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the compiler's result" >&5
6814 > echo "$as_me: WARNING: dfftw.h: proceeding with the compiler's result" >&2;}
6815 >    ac_header_preproc=yes
6816 >    ;;
6817 >  no:yes:* )
6818 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: present but cannot be compiled" >&5
6819 > echo "$as_me: WARNING: dfftw.h: present but cannot be compiled" >&2;}
6820 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     check for missing prerequisite headers?" >&5
6821 > echo "$as_me: WARNING: dfftw.h:     check for missing prerequisite headers?" >&2;}
6822 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: see the Autoconf documentation" >&5
6823 > echo "$as_me: WARNING: dfftw.h: see the Autoconf documentation" >&2;}
6824 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6825 > echo "$as_me: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6826 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the preprocessor's result" >&5
6827 > echo "$as_me: WARNING: dfftw.h: proceeding with the preprocessor's result" >&2;}
6828 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: in the future, the compiler will take precedence" >&5
6829 > echo "$as_me: WARNING: dfftw.h: in the future, the compiler will take precedence" >&2;}
6830 >    (
6831 >      cat <<\_ASBOX
6832 > ## ------------------------------ ##
6833 > ## Report this to gezelter@nd.edu ##
6834 > ## ------------------------------ ##
6835 > _ASBOX
6836 >    ) |
6837 >      sed "s/^/$as_me: WARNING:     /" >&2
6838 >    ;;
6839 > esac
6840 > echo "$as_me:$LINENO: checking for dfftw.h" >&5
6841 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6842 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6843 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6844 > else
6845 >  ac_cv_header_dfftw_h=$ac_header_preproc
6846 > fi
6847 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6848 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6849 >
6850 > fi
6851 > if test $ac_cv_header_dfftw_h = yes; then
6852 >  fftw_cv_dfftw_h=yes
6853 > else
6854 >  fftw_cv_dfftw_h=no
6855 > fi
6856 >
6857 >
6858 >                fi
6859 >        fi
6860 >        ac_ext=c
6861 > ac_cpp='$CPP $CPPFLAGS'
6862 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6863 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6864 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6865 >
6866 >
6867 >        if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"
6868 >        then
6869 >
6870 > cat >>confdefs.h <<\_ACEOF
6871 > #define HAVE_FFTW3_H 1
6872 > _ACEOF
6873 >
6874 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6875 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6876 >                FFTW_LIBS="-lfftw3"
6877          else
6878 <                #
6879 <                # If either header or library was not found, revert and bomb
6880 <                #
6881 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6882 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6883 <                LDFLAGS="$ZLIB_OLD_LDFLAGS"
6884 <                CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6878 >        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"
6879 >        then
6880 >
6881 > cat >>confdefs.h <<\_ACEOF
6882 > #define HAVE_FFTW_H 1
6883 > _ACEOF
6884 >
6885 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6886 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6887 >                FFTW_LIBS="-lfftw"
6888 >        else
6889 >        if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"
6890 >        then
6891 >
6892 > cat >>confdefs.h <<\_ACEOF
6893 > #define HAVE_DFFTW_H 1
6894 > _ACEOF
6895 >
6896 >                FFTW_INC_DIR="${FFTW_HOME}/include"
6897 >                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6898 >                FFTW_LIBS="-ldfftw"
6899 >        else
6900 >                echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6901 > echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6902 >                FFTW_INC_DIR=
6903 >                FFTW_LIB_DIR=
6904 >                FFTW_LIBS=
6905 >                LDFLAGS="$FFTW_OLD_LDFLAGS"
6906 >                CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6907                  echo "$as_me:$LINENO: result: failed" >&5
6908   echo "${ECHO_T}failed" >&6
6909 <                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
6910 < echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6911 <   { (exit 1); exit 1; }; }
6909 >        echo ""
6910 >        echo "*********************************************************"
6911 >        echo "* WARNING: Could not find a working FFTW installation   *"
6912 >        echo "* If you need the staticProps program to be able to     *"
6913 >        echo "* compute undulation spectra, be sure to specify a      *"
6914 >        echo "* valid fftw installation with --with-fftw=DIR          *"
6915 >        echo "*                                                       *"
6916 >        echo "* OOPSE will still work without fftw installed.         *"
6917 >        echo "*********************************************************"
6918 >        echo ""
6919          fi
6920 +        fi
6921 +        fi
6922 +
6923 +
6924 +
6925   fi
6926 + fi
6927  
6928  
6929  
# Line 11137 | Line 11936 | if test "$ac_test_FCFLAGS" != "set"; then
11936   # Try to determine "good" native compiler flags if none specified on command
11937   # line
11938  
11939 < if test "$ac_test_FCFLAGS" != "set"; then
11939 > if test "$ac_test_FFLAGS" != "set"; then
11940    FCFLAGS=""
11941    case "${host_cpu}-${host_os}" in
11942  
11943    *linux*) if test "$FC" = ifc -o "$FC" = ifort; then
11944 <                    FCFLAGS="-O"
11944 >                    FCFLAGS="-O3 -ip -no-prec-div -cxxlib-icc"
11945                  fi;;
11946     rs6000*-aix*)  if test "$FC" = xlf90 -o "$FC" = f90 -o "$FC" = xlf95; then
11947                      FCFLAGS="-O3 -qarch=pwrx -qtune=pwrx -qansialias -w"
# Line 11163 | Line 11962 | if test "$ac_test_FCFLAGS" != "set"; then
11962     *darwin*)
11963          if test "$FC" = f90 -o "$FC" = xlf90 -o "$FC" = xlf95; then
11964                  FCFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto"
11965 +        fi
11966 +        if test "$FC" = ifort; then
11967 +                FCFLAGS="-O3 -ip -no-prec-dev -mdynamic-no-pic"
11968          fi;;
11969    esac
11970  
# Line 11322 | Line 12124 | if test "$ac_test_CFLAGS" != "set"; then
12124     *darwin*)
12125          if test "$CC" = xlc -o "$CC" = cc; then
12126                  CFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
12127 +        fi
12128 +        if test "$CC" = icc; then
12129 +                CFLAGS="-O3 -ip -no-prec-div -mdynamic-no-pic"
12130          fi;;
12131    esac
12132  
# Line 11776 | Line 12581 | if test "$ac_test_CXXFLAGS" != "set"; then
12581     *darwin*)
12582          if test "$CXX" = xlc++ -o "$CXX" = xlC ; then
12583                  CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
12584 +        fi
12585 +        if test "$CXX" = icpc; then
12586 +                CXXFLAGS="-O3 -ip -no-prec-div -mdynamic-no-pic"
12587          fi;;
12588    esac
12589  
# Line 12219 | Line 13027 | have_mpif_h=0
13027  
13028   echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
13029   echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
13030 +
13031 +
13032 + ac_ext=${FC_SRCEXT-f}
13033 + ac_compile='$FC -c $FCFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext >&5'
13034 + ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
13035 + ac_compiler_gnu=$ac_cv_fc_compiler_gnu
13036 +
13037 + ac_save_ext=$ac_ext
13038 + ac_ext=F90
13039 + ac_save_FCFLAGS=$FCFLAGS
13040   have_mpif_h=0
13041   rm -f conftest*
13042   cat >conftest.$ac_ext <<EOF
# Line 12248 | Line 13066 | fi
13066   _ACEOF
13067  
13068   fi
13069 + FCFLAGS=$ac_save_FCFLAGS
13070 + ac_ext=$ac_save_ext
13071 + ac_ext=cc
13072 + ac_cpp='$CXXCPP $CPPFLAGS'
13073 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13074 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13075 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
13076  
13077 +
13078   ac_ext=c
13079   ac_cpp='$CPP $CPPFLAGS'
13080   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 12256 | Line 13082 | LDFLAGS="${LDFLAGS} -L${MPI_LIB_DIR} "
13082   ac_compiler_gnu=$ac_cv_c_compiler_gnu
13083  
13084   ac_save_LDFLAGS=$LDFLAGS
13085 < LDFLAGS="${LDFLAGS} -L${MPI_LIB_DIR} "
13085 > LDFLAGS="-L${MPI_LIB_DIR} ${LDFLAGS} "
13086  
13087   if test x = x"$MPI_LIB"; then
13088          echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
# Line 12336 | Line 13162 | if test x = x"$MPI_LIB"; then
13162   fi
13163  
13164   fi
13165 + $as_unset ac_cv_lib_mpich_MPI_Init
13166   if test x = x"$MPI_LIB"; then
13167 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13168 < echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13169 < if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13167 >        echo "$as_me:$LINENO: checking for MPI_Init in -lpmpich" >&5
13168 > echo $ECHO_N "checking for MPI_Init in -lpmpich... $ECHO_C" >&6
13169 > if test "${ac_cv_lib_pmpich_MPI_Init+set}" = set; then
13170    echo $ECHO_N "(cached) $ECHO_C" >&6
13171   else
13172    ac_check_lib_save_LIBS=$LIBS
13173 < LIBS="-lmpi  $LIBS"
13173 > LIBS="-lpmpich -lmpich -lpmpich -lmpich $LIBS"
13174   cat >conftest.$ac_ext <<_ACEOF
13175   /* confdefs.h.  */
13176   _ACEOF
# Line 12396 | Line 13223 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13223    ac_status=$?
13224    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13225    (exit $ac_status); }; }; then
13226 <  ac_cv_lib_mpi_MPI_Init=yes
13226 >  ac_cv_lib_pmpich_MPI_Init=yes
13227   else
13228    echo "$as_me: failed program was:" >&5
13229   sed 's/^/| /' conftest.$ac_ext >&5
13230  
13231 < ac_cv_lib_mpi_MPI_Init=no
13231 > ac_cv_lib_pmpich_MPI_Init=no
13232   fi
13233   rm -f conftest.err conftest.$ac_objext \
13234        conftest$ac_exeext conftest.$ac_ext
13235   LIBS=$ac_check_lib_save_LIBS
13236   fi
13237 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13238 < echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13239 < if test $ac_cv_lib_mpi_MPI_Init = yes; then
13240 <  MPI_LIB="-lmpi"
13237 > echo "$as_me:$LINENO: result: $ac_cv_lib_pmpich_MPI_Init" >&5
13238 > echo "${ECHO_T}$ac_cv_lib_pmpich_MPI_Init" >&6
13239 > if test $ac_cv_lib_pmpich_MPI_Init = yes; then
13240 >  MPI_LIB="-lpmpich -lmpich -lpmpich -lmpich"
13241   fi
13242  
13243   fi
12417 $as_unset ac_cv_lib_mpi_MPI_Init
13244   if test x = x"$MPI_LIB"; then
13245          echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13246   echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
# Line 12422 | Line 13248 | LIBS="-lmpi "-llam" $LIBS"
13248    echo $ECHO_N "(cached) $ECHO_C" >&6
13249   else
13250    ac_check_lib_save_LIBS=$LIBS
13251 < LIBS="-lmpi "-llam" $LIBS"
13251 > LIBS="-lmpi  $LIBS"
13252   cat >conftest.$ac_ext <<_ACEOF
13253   /* confdefs.h.  */
13254   _ACEOF
# Line 12489 | Line 13315 | if test $ac_cv_lib_mpi_MPI_Init = yes; then
13315   echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13316   echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13317   if test $ac_cv_lib_mpi_MPI_Init = yes; then
13318 <  MPI_LIB="-lmpi -llam"
13318 >  MPI_LIB="-lmpi"
13319   fi
13320  
13321   fi
13322 < $as_unset ac_cv_lib_mpich_MPI_Init
13322 > $as_unset ac_cv_lib_mpi_MPI_Init
13323   if test x = x"$MPI_LIB"; then
13324 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
13325 < echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
13326 < if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
13324 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13325 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13326 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13327    echo $ECHO_N "(cached) $ECHO_C" >&6
13328   else
13329    ac_check_lib_save_LIBS=$LIBS
13330 < LIBS="-lpmpich "-lmpich" $LIBS"
13330 > LIBS="-lmpi -llam $LIBS"
13331   cat >conftest.$ac_ext <<_ACEOF
13332   /* confdefs.h.  */
13333   _ACEOF
# Line 12554 | Line 13380 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13380    ac_status=$?
13381    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13382    (exit $ac_status); }; }; then
13383 <  ac_cv_lib_mpich_MPI_Init=yes
13383 >  ac_cv_lib_mpi_MPI_Init=yes
13384   else
13385    echo "$as_me: failed program was:" >&5
13386   sed 's/^/| /' conftest.$ac_ext >&5
13387  
13388 < ac_cv_lib_mpich_MPI_Init=no
13388 > ac_cv_lib_mpi_MPI_Init=no
13389   fi
13390   rm -f conftest.err conftest.$ac_objext \
13391        conftest$ac_exeext conftest.$ac_ext
13392   LIBS=$ac_check_lib_save_LIBS
13393   fi
13394 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
13395 < echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
13396 < if test $ac_cv_lib_mpich_MPI_Init = yes; then
13397 <  MPI_LIB="-lpmpich -lmpich"
13394 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13395 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13396 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
13397 >  MPI_LIB="-lmpi -llam"
13398   fi
13399  
13400   fi
12575
13401   $as_unset ac_cv_lib_mpi_MPI_Init
13402   if test x = x"$MPI_LIB"; then
13403   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
# Line 13134 | Line 13959 | CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13959  
13960  
13961  
13137
13962   # Check whether --enable-doxygen or --disable-doxygen was given.
13963   if test "${enable_doxygen+set}" = set; then
13964    enableval="$enable_doxygen"
# Line 13920 | Line 14744 | s,@CXX@,$CXX,;t t
14744   s,@host_os@,$host_os,;t t
14745   s,@PROGNAME@,$PROGNAME,;t t
14746   s,@debug@,$debug,;t t
14747 + s,@USE_SINGLE_PRECISION@,$USE_SINGLE_PRECISION,;t t
14748   s,@CXX@,$CXX,;t t
14749   s,@CXXFLAGS@,$CXXFLAGS,;t t
14750   s,@LDFLAGS@,$LDFLAGS,;t t
# Line 13957 | Line 14782 | s,@LIBOBJS@,$LIBOBJS,;t t
14782   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14783   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14784   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14785 + s,@ZLIB_INC_DIR@,$ZLIB_INC_DIR,;t t
14786 + s,@ZLIB_LIB_DIR@,$ZLIB_LIB_DIR,;t t
14787 + s,@ZLIB@,$ZLIB,;t t
14788 + s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14789 + s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14790 + s,@FFTW_LIBS@,$FFTW_LIBS,;t t
14791   s,@LIBOBJS@,$LIBOBJS,;t t
14792   s,@POW_LIB@,$POW_LIB,;t t
14793   s,@CXXCPP@,$CXXCPP,;t t
# Line 14621 | Line 15452 | fi
15452    # would make configure fail if this is the last instruction.
15453    $ac_cs_success || { (exit 1); exit 1; }
15454   fi
14624
14625
15455  

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines